# Class Data

#### Hierarchy

- Data
  - CreateMetadataAccountArgs
  - CreateMetadataAccountArgs

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:44

#####
Index

### Constructors

constructor

### Properties

creators
name
sellerFeeBasisPoints
symbol
uri

### Methods

serialize
deserialize

## Constructors

### constructor

- new Data(name, symbol, uri, sellerFeeBasisPoints, creators): Data

- #### Parameters

  - ##### name: string

  - ##### symbol: string

  - ##### uri: string

  - ##### sellerFeeBasisPoints: number

  - ##### creators: Creator[]

  #### Returns Data

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:51

## Properties

### creators

creators: Creator[]

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:49

### name

name: string

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:45

### sellerFeeBasisPoints

sellerFeeBasisPoints: number

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:48

### symbol

symbol: string

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:46

### uri

uri: string

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:47

## Methods

### serialize

- serialize(): Buffer

- #### Returns Buffer

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:65

### `Static` deserialize

- deserialize(data): Data

- #### Parameters

  - ##### data: Buffer

  #### Returns Data

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:105

Generated using TypeDoc